<?php

require '../system/start.php';
require '../system/functions.php';
only_level(3);
$str['mesto'] = 'Новости сайта';
$str['block'] = $set['site'].' / Панель управления / Новости сайта';
include '../style/'.$style.'/head.php';
switch($act)
{
	default:
	echo '<div class="where"><a href="?act=add">Добавить</a></div>';
	$query = mysql_query("select * from `news` order by `id`");
    $total = mysql_result(mysql_query("select count(*) from `news`"),0);
    if ($total == 0)
    {
        echo '<div class="forum1">Новостей еще нет!</div>';
    }
	while($row = mysql_fetch_assoc($query))
	{
		echo '<div class="on">'.$row['title'].'<br /><a href="?act=edit&amp;id='.$row['id'].'">[ред]</a> <a href="?act=delete&amp;id='.$row['id'].'">[удл]</a></div>';
	}
    if($total > $set['str'])
    {
	   pages($page, $total, 'news.php?', $set['str']);
    }
	break;
	case 'add':
	if(isset($_POST['title']) && !empty($_POST['title']) && !empty($_POST['text']))
	{
		$title = protect($_POST['title']);
		$text = protect($_POST['text']);
		mysql_query ("INSERT INTO `news` (title,text,time) VALUES ('".$title."','".$text."',".time().")");
		echo '<div class="where">Новость успешно добавлена!</div>';
	}
	echo '<div class="on"><form method="post" action="?act=add">
	<div>
	Название:<br />
	<input type="text" name="title" maxlength="32" value="" /><br />
	Содержимое:<br />
    <textarea cols="30" rows="8" name="text"></textarea><br />
	<input type="submit" value="Добавить" />
	</div></form></div><div class="where"><a href="index.php">Админ-панель</a></div>';
	break;
	case 'edit':
	$query = mysql_fetch_assoc(mysql_query("select * from `news` where `id` = ".int($_GET['id']).""));
	if(empty($query['title']))
	{
		echo '<div class="on">Новость не найдена!</div>';
		include '../style/'.$style.'/foot.php';
		exit;
	}
	if(isset($_POST['title']) && !empty($_POST['title']) && !empty($_POST['text']))
	{
		$title = protect($_POST['title']);
		$text = protect($_POST['text']);
		mysql_query ("UPDATE `news` SET `title` = '".$title."' WHERE `id` = ".$query['id']."");
		mysql_query ("UPDATE `news` SET `text` = '".$text."' WHERE `id` = ".$query['id']."");
		echo '<div class="on">Новость успешно обновлена!</div>
		<div class="where"><a href="index.php">Админ-панель</a></div>';
		include '../style/'.$style.'/foot.php';
		exit;
	}
	echo '<div class="on"><form method="post" action="?act=edit&amp;id='.$query['id'].'">
	<div>
	Название:<br />
	<input type="text" name="title" maxlength="32" value="'.$query['title'].'" /><br />
	Содержимое:<br />
    <textarea cols="30" rows="8" name="text">'.$query['text'].'</textarea><br />
	<input type="submit" value="Обновить" />
	</div></form></div><div class="where"><a href="index.php">Админ-панель</a></div>';
	break;
	case 'delete':
	$query = mysql_fetch_assoc(mysql_query("select * from `news` where `id` = ".int($_GET['id']).""));
	if(empty($query['title']))
	{
		echo '<div class="on">Новость не найдена!</div>';
		include '../style/'.$style.'/foot.php';
		exit;
	}
	mysql_query ("DELETE FROM `news` WHERE `id` = ".$query['id']."");
	echo '<div class="on">Новость успешно удалена!</div>
	<div class="where"><a href="index.php">Админ-панель</a></div>';
	break;
}
include '../style/'.$style.'/foot.php';
?>